<%
   Dim ActualRows 
   Dim ActualCols
   Dim ActualWidth
   Dim ActualHeight 
   Dim Orientation

  Function GetColorValue(ColorName)
		dim ColorValue
		
		if (ColorName = "White") then
			ColorValue = 255 + 255*256 + 255*256*256 
		elseif (ColorName = "Blue") then
			ColorValue = 255*256*256   
		elseif (ColorName = "Green") then
			ColorValue = 255*256 
		elseif (ColorName = "Red") then
			ColorValue = 255 
		elseif (ColorName = "Black") then
			ColorValue = 0
		end if
		GetColorValue = ColorValue
   End Function

   ' Do clear-out
   Response.Expires = 0
   Response.Buffer = TRUE
   Response.Clear

   ' Image is of PNG format.
   Response.ContentType = "image/png"

   Set MyAztec = Server.CreateObject("MW6AztecASP.Aztec")

   MyAztec.BackColor = GetColorValue(Request.QueryString("BackColor"))
   MyAztec.BarColor = GetColorValue(Request.QueryString("BarColor"))
   MyAztec.ModuleSize = CDbl(Request.QueryString("ModuleSize"))
   MyAztec.CorrectionLevel = CInt(Request.QueryString("CorrectionLevel"))
   MyAztec.Data = Request.QueryString("Data")
   MyAztec.Mode = CInt(Request.QueryString("Mode"))
   MyAztec.Orientation = CInt(Request.QueryString("Orientation"))
   MyAztec.PreferredFormat = CInt(Request.QueryString("PreferredFormat"))
   If (CInt(Request.QueryString("ProcTilde")) = 0) then
       MyAztec.HandleTilde = False
   Else
       MyAztec.HandleTilde = True
   End If 

   Orientation = CInt(Request.QueryString("Orientation"))
   
    ' Get actual rows and columns of Aztec barcode
   MyAztec.GetActualRC ActualRows, ActualCols

   ' Get actual Aztec barcode width and height 
   MyAztec.GetActualSize ActualWidth, ActualHeight
  
   ' Image size = barcode size + extra space   
   if (Orientation = 0 or Orientation = 2) then
      MyAztec.Width = ActualWidth + CInt(Request.QueryString("ExtraWidth"))
      MyAztec.Height = ActualHeight + CInt(Request.QueryString("ExtraHeight"))
   else
      MyAztec.Height = ActualWidth + CInt(Request.QueryString("ExtraWidth"))
      MyAztec.Width = ActualHeight + CInt(Request.QueryString("ExtraHeight")) 
   end if
   
   ' Output barcode PNG image
   Response.BinaryWrite(MyAztec.PNGImage)
   set MyAztec = Nothing
   Response.End
%>
